# prometheus global config
global:
  scrape_interval:     15s # Set the scrape interval to every 15 seconds. Default is every 1 minute.
  evaluation_interval: 15s # Evaluate rules every 15 seconds. The default is every 1 minute.
  # scrape_timeout is set to the global default (10s).

# Alertmanager configuration
alerting:
  alertmanagers:
  - static_configs:
    - targets:
      - alertmanager-service:9093

# Load rules once and periodically evaluate them according to the global 'evaluation_interval'.
rule_files:
  - rules.yaml

# A scrape configuration containing exactly one endpoint to scrape:
# Here it's Prometheus itself.
scrape_configs:
  - job_name: 'prometheus'
    static_configs:
      - targets: ['localhost:9090']

  - job_name: 'kube-state-metrics'
    static_configs:
      - targets: ['kube-state-metrics.kube-system:8080']

  - job_name: 'kube-state-telemetry'
    static_configs:
      - targets: ['kube-state-metrics.kube-system:8081']

#  - job_name: 'cadvisor'
#    static_configs:
#      - targets: ['cadvisor-service.monitoring:8080']

{% for node in groups['master'] + groups['worker'] + groups['postgresql'] + groups['mysql'] %}
  - job_name: '{{ node }}-node-exporter'
    static_configs:
      - targets: ['{{ hostvars[node]['ansible_private_host'] }}:15741']
        labels:
          host: {{ node }}
{% endfor %}

{% for node in groups['postgresql'] %}
  - job_name: '{{ node }}-postgres-exporter'
    static_configs:
      - targets: ['{{ hostvars[node]['ansible_private_host'] }}:9187']
        labels:
          host: {{ node }}
{% endfor %}

  - job_name: "synapse"
    scheme: http
    metrics_path: "/_synapse/metrics"
    static_configs:
      - targets: [synapse-metrics.matrix:9000]
        labels:
          host: matrix.feneas.org

  - job_name: "synapse-synchrotron"
    scheme: http
    metrics_path: "/_synapse/metrics"
    static_configs:
      - targets: [synapse-synchrotron-metrics.matrix:9000]
        labels:
          host: matrix.feneas.org

  - job_name: "synapse-federation-reader"
    scheme: http
    metrics_path: "/_synapse/metrics"
    static_configs:
      - targets: [synapse-federation-reader-metrics.matrix:9000]
        labels:
          host: matrix.feneas.org

  - job_name: "synapse-federation-sender"
    scheme: http
    metrics_path: "/_synapse/metrics"
    static_configs:
      - targets: [synapse-federation-sender-metrics.matrix:9000]
        labels:
          host: matrix.feneas.org

  - job_name: 'blackbox'
    scrape_interval: 60s
    metrics_path: /probe
    params:
      module: [http_2xx]
    static_configs:
      - targets:
          - https://wedistribute.org
          - https://matrix.feneas.org/_matrix/federation/v1/version
          - https://chat.feneas.org
          - https://portal.feneas.org
          - https://cloud.feneas.org
          - https://joindiaspora.com
          - https://git.feneas.org
          - https://feneas.org
          - https://friendica.feneas.org
          - https://fediverse.party
          - https://pad.feneas.org/
          - https://talk.feneas.org
    relabel_configs:
      - source_labels: [__address__]
        target_label: __param_target
      - source_labels: [__param_target]
        target_label: instance
      - target_label: __address__
        replacement: blackbox-service:9115
